Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class EncodingInfo

    java.lang.Object
      org.apache.xml.serializer.EncodingInfo

public class EncodingInfo
extends java.lang.Object

Holds information about a given encoding, which is the Java name for the encoding, the equivalent ISO name, and the integer value of the last pritable character in the encoding.

Constructor Summary
`EncodingInfo(java.lang.String name, java.lang.String javaName, int lastPrintable)` Create an EncodingInfo object based on the name, java name, and the max character size.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingInfo

    public EncodingInfo(java.lang.String name,
                        java.lang.String javaName,
                        int lastPrintable)

  Create an EncodingInfo object based on the name, java name, and the max character size.

Parameters:
  `name` - non-null reference to the ISO name.
  `javaName` - non-null reference to the Java encoding name.
  `lastPrintable` - The maximum character that can be written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.